Index: applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- applications/dual/vahala/DP/prac_verz.lyx (revision 1450)
+++ applications/dual/vahala/DP/prac_verz.lyx (revision 1451)
@@ -5594,7 +5594,7 @@
  jako
 \begin_inset Formula 
-\[
-J_{t+1}=D_{t}^{22}-D_{t}^{21}\left(J_{t}+D_{t}^{11}\right)^{-1}D_{t}^{12},
-\]
+\begin{equation}
+J_{t+1}=D_{t}^{22}-D_{t}^{21}\left(J_{t}+D_{t}^{11}\right)^{-1}D_{t}^{12},\label{eq:PCRB-rovnice-obecny-vypoecet}
+\end{equation}
 
 \end_inset
@@ -6964,110 +6964,4 @@
 
 \begin_layout Subsection
-Vzorový běh systému
-\end_layout
-
-\begin_layout Standard
-Výpočet hodnot aposteriorních Cramer-Raových mezí probíhá na vzorovém běhu
- systému.
- Ze vzorového běhu jsou získány průběhy jednotlivých stavových veličin v
- čase, které pak slouží jako zdroj pro výpočet vlastních mezí.
- Jako vzorový běh lze buď přímo zvolit nějaké hodnoty a nebo je získat aplikací
- vhodného regulátoru na model systému.
- Pro tento případ bylo užíváno vektorové PI řízení (implementované jako
- referenční) získávající odhad ze senzorů a řídící na určenou referenční
- hodnotu.
-\end_layout
-
-\begin_layout Standard
-Použité vzorové běhy shrnuje následující seznam, dále budou označována svým
- číslem položky:
-\end_layout
-
-\begin_layout Enumerate
-\begin_inset Formula $\omega=\overline{\omega}$
-\end_inset
-
-, 
-\begin_inset Formula $\vartheta=\int\omega$
-\end_inset
-
-, 
-\begin_inset Formula $i_{\alpha}=i_{\beta}=0$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + injektáž sin do 
-\begin_inset Formula $d-q$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + injektáž obdélníků do 
-\begin_inset Formula $d-q$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + injektáž konstanty do 
-\begin_inset Formula $d$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + náhodná chyba na 
-\begin_inset Formula $\overline{\omega}$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + injektáž sin do 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + injektáž obdélníků do 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + bikriteriální metoda se 
-\begin_inset Formula $\mathrm{sign}\omega$
-\end_inset
-
-
-\end_layout
-
-\begin_layout Enumerate
-vektorové PI + náhodný výběr 5 možností budícího zásahu
-\end_layout
-
-\begin_layout Standard
-
-\series bold
-(detailněji popsat předchozí)
-\end_layout
-
-\begin_layout Subsection
 Omezování hodnot meze
 \end_layout
@@ -7519,4 +7413,43 @@
 
 ), který současně zohledňuje i konstantní členy.
+\end_layout
+
+\begin_layout Standard
+Standartní postup pro lineárně kvadratický regulátor je výpočet rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:riccati-lqg-matice-K"
+
+\end_inset
+
+), případně analogických rovnic založených na QR rozkladu, v čase zpět.
+ V případě aplikace na nelineární systém jsou však vystupující matice obecně
+ funkcí času.
+ LQ regulátor pak není možno předpočítat a v každém časovém kroku je třeba
+ jej získat znovu.
+ To může být výpočetně velmi náročné, zejména pro dlouhé časové horizonty.
+ Jedním ze způsobů jak tento problém vyřešit je aplikace takzvaného 
+\begin_inset Quotes gld
+\end_inset
+
+ubíhajícího horizontu
+\begin_inset Quotes grd
+\end_inset
+
+.
+ Tento koncept spočívá v tom, že místo výpočtu rovnic v čase zpět na celém
+ horizontu je počítáme pouze na horizontu kratším, který se však v čase
+ posunuje (klouže), tak aby začínal vždy v čase aktuálním.
+ V termínech ztrátové funkce lze princip ubíhajícího horizontu vyjádřit
+ tak, že zanedbáváme ztrátu mezi koncem kratšího horizontu a koncem původního
+ celkového časového horizontu 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "BertsekasDPOC"
+
+\end_inset
+
+.
+ Zmiňovaný postup byl použit i při implementaci LQ regulátoru v tomto textu.
 \end_layout
 
@@ -9596,14 +9529,89 @@
 
 \begin_layout Subsection
-Další verze bikriteriální metody
-\end_layout
-
-\begin_layout Itemize
-více současně běžících KF a výběr s nejmenší variancí na poloze nebo nejmenší
- determinant
-\end_layout
-
-\begin_layout Itemize
-konstanta do 
+Výběr buzení na základě výpočtu více EKF
+\end_layout
+
+\begin_layout Standard
+Vzhledem k tomu, že předchozí dvě verze bikriteriální metody byly založeny
+ na myšlence, že optimální buzení je takové, které zvyšuje otáčky.
+ Velikosti otáček je totiž úměrná zpětná elektromotorická síla, ze které
+ jsou následně odhadovány hodnoty neměřených stavových veličin.
+ Tento v jistém smyslu 
+\begin_inset Quotes gld
+\end_inset
+
+intuitivní
+\begin_inset Quotes grd
+\end_inset
+
+ přístup k nalezení optimálního buzení by však bylo vhodnější nahradit jiným,
+ teoreticky lépe podloženým.
+\end_layout
+
+\begin_layout Standard
+Z tohoto důvodu byla volena verze bikriteriální metody, kdy se z dané množiny
+ budících zásahů vybírá takový, který minimalizuje varianci odhadovaných
+ mechanických veličin.
+ Hodnoty těchto variancí byly získávány užitím redukované verze rozšířeného
+ Kalmanova filtru, který byl napočítáván pro každý možný budící zásah zvlášť.
+ Množina budících zásahů byla uvažována závislá na parametru 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+, zapsána v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ a obsahující pět prvků.
+ 
+\end_layout
+
+\begin_layout Standard
+Řídící zásahy pak byly v následujícím tvaru:
+\begin_inset Formula 
+\begin{eqnarray*}
+u_{\alpha} & = & \tilde{u}_{\alpha}+\mu_{\alpha}^{i},\\
+u_{\beta} & = & \tilde{u}_{\beta}+\mu_{\beta}^{i},
+\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\tilde{u}$
+\end_inset
+
+ je řídící zásah navržený klasickým vektorovým řízením a 
+\begin_inset Formula $\mu$
+\end_inset
+
+ je množina dvojic 
+\begin_inset Formula 
+\[
+\mu=\left\{ \left(-\varepsilon,-\varepsilon\right),\left(-\varepsilon,\varepsilon\right),\left(\varepsilon,-\varepsilon\right),\left(\varepsilon,\varepsilon\right),\left(0,0\right)\right\} .
+\]
+
+\end_inset
+
+ Z těchto dvojic je vybrána jediná, označena 
+\begin_inset Formula $i$
+\end_inset
+
+, pro kterou je dosaženo v následujícím časovém kroku nejmenší variance
+ veličin 
+\begin_inset Formula $\omega$
+\end_inset
+
+ a 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ Nevýhodou této verze bikriteriální metody oproti předchozím dvěma je větší
+ výpočetní složitost, kdy je třeba počítat navíc pět redukovaných EKF.
+ 
+\end_layout
+
+\begin_layout Subsection
+Konstantantní signál v ose 
 \begin_inset Formula $d$
 \end_inset
@@ -9612,34 +9620,96 @@
 \end_layout
 
-\begin_layout Itemize
-náhodně 5 možností
-\end_layout
-
-\begin_layout Standard
-srovnání s pouze přidáním injektáží (
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
-, 
-\begin_inset Formula $d-q,$
-\end_inset
-
- sin, obdelnik, různé frekvence), ale to asi pomocí PCRB
-\end_layout
-
-\begin_layout Standard
-vybrat vhodného reprezentanta do experimentů
+\begin_layout Standard
+Další verze bikriteriální metedy, která bude dále experimentálně zkoumána
+ je přidání konstantního signálu do osy 
+\begin_inset Formula $d$
+\end_inset
+
+, tedy 
+\begin_inset Formula 
+\begin{eqnarray*}
+u_{d} & = & \tilde{u}_{d}+\varepsilon,\\
+u_{q} & = & \tilde{u}_{q},
+\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+ je vhodně velká konstanta.
+ 
+\end_layout
+
+\begin_layout Standard
+Možnost užití této verze vyvstanula při testování vlivu volby parametrů
+ 
+\begin_inset Formula $\varepsilon_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $\varepsilon_{q}$
+\end_inset
+
+ pro standartní verzi bikriteriální metody, kdy na základě experimentů byl
+ vliv parametru 
+\begin_inset Formula $\varepsilon_{d}$
+\end_inset
+
+ vyhodnocen jako významějsí.
+ Dále při analyzování chování bikriteriální metody založené na výpočtu více
+ EKF bylo shledáno, že nejvýznamější vliv na varianci mechanických veličin
+ má pravý horní prvek matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ redukovaného modelu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice-ekf-redukovanymodel-ls"
+
+\end_inset
+
+), který však odpovídá na základě transformace (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_al-be_na_d-q"
+
+\end_inset
+
+) proudu v ose 
+\begin_inset Formula $d$
+\end_inset
+
+
+\begin_inset Formula 
+\[
+A_{t}^{(1,2)}=-e\left(i_{\beta}\sin\vartheta+i_{\alpha}\cos\vartheta\right)=-ei_{d}.
+\]
+
+\end_inset
+
+Právě přidání konstantního zásahu k řízení v ose 
+\begin_inset Formula $d$
+\end_inset
+
+ může zvýšit proud v tého ose a vést ke snížení variance neměřených veličin.
+\end_layout
+
+\begin_layout Standard
+Zmiňovaný popis samozřejmě není odvozením nebo zdůvodněním funkčnosti této
+ verze bikriteriální metody, jedná se pouze o nastínění příčin, které vedly
+ k jejímu uvažování.
+ Skutečné vlastnosti této metody jsou ponechány k experimentálnímu ověření
+ v následující kapitole.
 \end_layout
 
 \begin_layout Section
-Injektáž (
-\series medium
-poupravit dle skutečné implementace
-\series default
-)
-\end_layout
-
-\begin_layout Standard
-V této části bude popsán návrh regulátoru využívajícího vysokofrekvenční
+Injektáž 
+\end_layout
+
+\begin_layout Standard
+V této části následuje popis návrhu regulátoru využívajícího vysokofrekvenční
  injektáže.
  Základní myšlenka je následující: Protože se pomocí techniky injektáží
@@ -9653,6 +9723,6 @@
 
  z injektáže slouží jako další zdroj informace pro EKF.
- Kompletní odhad stavu pro návrh řízení pak poskytuje EKF.
- Jako řídící zásahy jsou generovány vektorovým řízením s LQ regulátorem.
+ Kompletní odhad stavu pro návrh řízení pak poskytuje EKF a řídící zásahy
+ jsou následně generovány vektorovým řízením s LQ regulátorem.
 \end_layout
 
@@ -9669,15 +9739,31 @@
 \end_inset
 
- ose je určen odhad 
+ ose je určena hodnota 
+\begin_inset Formula $\theta$
+\end_inset
+
+ jako rozdíl skutečné polohy 
 \begin_inset Formula $\vartheta$
+\end_inset
+
+ a jejího odhadu 
+\begin_inset Formula $\hat{\vartheta}$
 \end_inset
 
  pomocí násobení původním vysokofrekvenčním signálem a následnou aplikací
  low-pass filtru.
- Odhad 
+ Následně je z 
+\begin_inset Formula $\theta$
+\end_inset
+
+ a starého odhadu 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+ získána hodnota 
 \begin_inset Formula $\vartheta$
 \end_inset
 
- je spolu s výstupy PMSM 
+ a spolu s výstupy PMSM 
 \begin_inset Formula $y_{\alpha}$
 \end_inset
@@ -9687,17 +9773,19 @@
 \end_inset
 
- dodán rozšířenému Kalmanovu filtru, který pak poskytuje odhad všech stavových
+ dodána rozšířenému Kalmanovu filtru, který pak poskytuje odhad všech stavových
  veličin.
  Ty jsou použity pro návrh řízení v dalším kroku.
- Předpokládáme tedy měření ve tvaru 
+ 
+\end_layout
+
+\begin_layout Standard
+Pro návrh EKF tedy předpokládáme výstup systému ve tvaru 
 \begin_inset Formula $y_{t}=\left(i_{\alpha,t},i_{\beta,t},\vartheta\right)^{T}$
 \end_inset
 
 .
-\end_layout
-
-\begin_layout Standard
-Větší část zde používaných algoritmů (LQ, EKF) již byla popsána výše v textu,
- proto zde uvedeme pouze případné změny, ty jsou v maticích 
+ Dále je již větší část zde používaných algoritmů (LQ, EKF) popsána v předchozíc
+h částech textu, proto zde uvedeme pouze případné změny, ty jsou v maticích
+ 
 \begin_inset Formula $C$
 \end_inset
@@ -9800,6 +9888,10 @@
 
 .
- Zde používaný filtr je velmi jednoduchý a založený na klouzavých průměrech.
- Poskytované výsledky tedy nejsou příliš dobré.
+ Zde používaný filtr byl vygenerován programem Matlab za užití interaktivního
+ návrhu 
+\emph on
+filterbuilder
+\emph default
+ ze Signal Processing Toolbox.
 \end_layout
 
@@ -9903,10 +9995,10 @@
  systému a šum měření byly v tomto pořadí
 \begin_inset Formula 
-\begin{eqnarray*}
+\begin{eqnarray}
 Q_{šum} & = & \mathrm{diag}\left(\begin{array}{cccc}
-1,3e-3 & 1,3e-3 & 5.0e-6 & 1.0e-10\end{array}\right),\\
+1,3e-3 & 1,3e-3 & 5.0e-6 & 1.0e-10\end{array}\right),\nonumber \\
 R_{šum} & = & \mathrm{diag}\left(\begin{array}{cc}
-6,0e-4 & 6,0e-4\end{array}\right),
-\end{eqnarray*}
+6,0e-4 & 6,0e-4\end{array}\right),\label{eq:kov-matice-sum}
+\end{eqnarray}
 
 \end_inset
@@ -11163,6 +11255,643 @@
  označován v tomto odstavci.
  Jednotlivé výše zmiňované metody pro řízení PMSM byly opět porovnávány
- především na základě dosažených průměrných kvadratických chyb, hlavní rysy
- tohoto porovnání však lze vypozorovat již ze samotných průběhů simulací.
+ především na základě dosažených průměrných kvadratických chyb, tyto hodnoty
+ při užití simulátoru jsou uvedeny v tabulce 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "tab:Hodnoty-alps"
+
+\end_inset
+
+.
+ Hlavní rysy tohoto porovnání však lze vypozorovat již ze samotných průběhů
+ simulací: 
+\begin_inset Float table
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="7" columns="7">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="1" alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+nízké otáčky
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="1" alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+průchody nulou
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="1" alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+vysoké otáčky
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" bottomline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+trojúh.
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+lichob.
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+trojúh.
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+lichob.
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+trojúh.
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\emph on
+lichob.
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $PI$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $3,33e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $4,44e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,37e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,56e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $3,02e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,14e1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\lang english
+\begin_inset Formula $LQ_{\alpha-\beta}$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $3,45e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,96e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $5,36e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,15e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,48e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $7,02e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $LQ_{d-q}$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $3,57e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,98e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $5,49e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,14e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,58e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $7,52e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $LQ_{d-q}\; konst.$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,87e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $2,40e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $3,92e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,07e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,58e1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $9,26e0$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $LQ_{\alpha-\beta}\; L_{dq}$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $8,53e-3$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $8,43e-3$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,34e-1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,47e-2$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,62e1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Formula $1,16e1$
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Hodnoty průměrné kvadratické chyby dosažené na simulátoru pro jednotlivé
+ uvažované algoritmy při různých profilech referenčních otáček.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "tab:Hodnoty-alps"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
@@ -11248,11 +11977,9 @@
 
  b).
-\end_layout
-
-\begin_layout Standard
+ 
 \begin_inset Float figure
 wide false
 sideways false
-status open
+status collapsed
 
 \begin_layout Plain Layout
@@ -11432,44 +12159,227 @@
 
 \begin_layout Standard
-Výsledky:
-\end_layout
-
-\begin_layout Itemize
-PI v nízkých otáčkách nic nedělá, kazí průchody nulou a ve vysokých se může
- rozjet na druhou stranu
-\end_layout
-
-\begin_layout Itemize
-LQ v 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
- je srovnatelné s 
-\begin_inset Formula $d-q$
-\end_inset
-
-, ve vysokých otáčkách je 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
- nepatrně lepší
-\end_layout
-
-\begin_layout Itemize
-LQ 
-\begin_inset Formula $d-q$
-\end_inset
-
- konstantní je dobrou alternativou v nízkých otáčkách, ve vysokých má však
- již mnoho problémů
-\end_layout
-
-\begin_layout Itemize
-LQ 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
- pro různé indukčnosti je nepatrně lepší v nízkých otáčkách, ale znatelně
- horší ve vysokých
+Dále lze rozdílné chování jednotlivých algoritmů pozorovat při vyšších otáčkách.
+ Detaily výstupu ze simulátoru pro referenční profil 
+\emph on
+vysoké otáčky
+\emph default
+ jsou zachyceny na grafech obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:vysoke-otacky-detail"
+
+\end_inset
+
+.
+ Prvním pozorováním je relativně větší chyba, které se dopouští (
+\begin_inset Formula $LQ_{d-q}\; konst.$
+\end_inset
+
+), kdy v nejvyšším bodě profilu dosahuje přibližně chyby 
+\begin_inset Formula $5\%$
+\end_inset
+
+, obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:vysoke-otacky-detail"
+
+\end_inset
+
+ a) vlevo.
+ Horší výsledky této metody však lze při vyšších otáčkách očekávat, protože
+ využívá nepřesného popisu stroje, kdy byly zanedbány členy úměrné právě
+ otáčkám stroje a jejich vliv tedy s otáčkami roste.
+ Dále lze pozorovat větší chybu u (
+\begin_inset Formula $LQ_{\alpha-\beta}\; L_{dq}$
+\end_inset
+
+), ostatní použité algoritmy si pro vysoké hodnoty otáček počínají relativně
+ dobře při srovnání na základě průměrné kvadratické chyby celkem vyrovněně.
+ Hodnoty této chyby shrnuje tabulka 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "tab:Hodnoty-alps"
+
+\end_inset
+
+.
+ Na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:vysoke-otacky-detail"
+
+\end_inset
+
+ a) vpravo je dále uveden detail průchodu nulou, kde se (
+\begin_inset Formula $PI$
+\end_inset
+
+) algoritmus opět dopouští větší chyby než ostatní algoritmy založené na
+ LQ regulátoru.
+\end_layout
+
+\begin_layout Standard
+Zajímavější porvnání užitých algoritmů nabízí grafy na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:vysoke-otacky-detail"
+
+\end_inset
+
+ b), kde jsou zachyceny detaily výstupu simulátoru pro lichoběžníkový profil
+ 
+\emph on
+vysoké otáčky
+\emph default
+.
+ Na tomto obrázku vlevo je zachyceno chování jednotlivých metod v nejvyšší
+ části profilu.
+ Největší chyby se v tomto případě dopouštějí podobně jako v předchozím
+ případě pro trojúhleníkový profil algoritmy (
+\begin_inset Formula $LQ_{d-q}\; konst.$
+\end_inset
+
+) a (
+\begin_inset Formula $LQ_{\alpha-\beta}\; L_{dq}$
+\end_inset
+
+).
+ Jisté chyby se dopouští i (
+\begin_inset Formula $LQ_{d-q}$
+\end_inset
+
+) a nejlepší výsledky pak vykazuje (
+\begin_inset Formula $LQ_{\alpha-\beta}$
+\end_inset
+
+).
+ V pravé části tohoto obrázku je znázorněn průchod nulovými otáčkami za
+ stejných simulačních podmínek.
+ Opět je zde patrné, že největší chyby se dopouští algoritmus (
+\begin_inset Formula $PI$
+\end_inset
+
+).
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="4" columns="1">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/vss_vt.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) vybrané detaily pro profil trojúhelník
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/vss_vl.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) vybrané detaily pro profil lichoběžník
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Detaily chování jednotlivých algoritmů při použití simulátoru s profilem
+ 
+\emph on
+vysoké otáčky
+\emph default
+.
+ Vlevo je vždy detail nejvyššího bodu profilu a vpravo pak detail průchodu
+ nulou.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:vysoke-otacky-detail"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Na základě dosažených hodnot průměrného kvadrátu chyby byl nakonec jako
+ nejvhodnější zástupce vektorového řízení s lineárně kvadratickým regulátorem
+ vybrán algoritmus (
+\begin_inset Formula $LQ_{\alpha-\beta}$
+\end_inset
+
+), který sice není vždy univerzálně nejlepší, ale zvládne poskytovat dobré
+ výsledky pro všechny testované rychlosti.
 \end_layout
 
@@ -11479,6 +12389,125 @@
 
 \begin_layout Standard
-přesnost vs.
- rychlost, rozdíl oproti VYZ
+Na základě simulací jejichž výsledky byly shrnuty v předchozích odstavcích
+ byl ze všech uvažovaných implementací lineárně kvadratického regulátoru
+ vybrán jeden zástupce.
+ Ten bude sloužit pro srovnání s ostatními uvažovanými algoritmy, ale i
+ jako základ pro další rozšíření, například pomocí hyperstavu.
+ Tímto zástupcem je algoritmus v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ se ztrátovou funkcí penalizující pouze přírůstky napětí s penalizační maticí
+\begin_inset Formula 
+\[
+S^{dq}=\left[\begin{array}{cc}
+1e-3\\
+ & 1e-6
+\end{array}\right].
+\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Kromě výběru vhodné implementace LQ regulátoru však byla získána i další
+ důležitá pozorování: Především se jedná o zjištění nedostatků vektorového
+ řízení založeného na PI regulátorech v otáčkách blízko nuly, které využití
+ LQ regulátoru odstraňuje.
+ 
+\end_layout
+
+\begin_layout Standard
+Dalším zjištěním pak je potenciální možnost nasadit konstantní LQ regulátor,
+ který je znatelně rychlejší, protože je možno jej díky jeho časové invarianvi
+ předpočítat.
+ Jeho užití je obzvláště výhodné pro nízké otáčky, kde dosahuje dokonce
+ menší průměrné kvadratické chyby než nekonstantní verze, viz tabulka 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "tab:Hodnoty-alps"
+
+\end_inset
+
+.
+ Nasazení tohoto regulátoru pro aplikace uvažující vyšší otáčky již příliš
+ vhodná není.
+ 
+\end_layout
+
+\begin_layout Standard
+Podobných výsledků dosáhl LQ regulátor v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ při uvažování různých indukčností 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+.
+ Průměrná kvadratická chyba je při jeho aplikaci v nízkých otáčkách nejnižší
+ ze všech uvažovaných algoritmů, oproti tomu ve vyšších otáčkach je chyba
+ relativně nevyšší, viz tabulka 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "tab:Hodnoty-alps"
+
+\end_inset
+
+.
+ Navíc je třeba připočíst nutnost pracovat s velmi složitými rovnicemi pro
+ popis PMSM v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ pro různé indukčnosti 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Zajímavé je srovnání s výše zmiňovaných výsledků s výzkumným úkolem 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "VYZ2011"
+
+\end_inset
+
+.
+ V citováné práci byl totiž experimentálně získán výsledek, že lepších výsledků
+ je dosaženo použitím LQ regulátoru v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ a v soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ jsou výsledky znatelně horší.
+ Tento zdánlivý rozpor je však způsoben tím, že v citovaném zdroji nebyla
+ uvažována rozdílná penalizace řídících zásahů, případně jejich přírůstků,
+ v osách 
+\begin_inset Formula $d-q$
+\end_inset
+
+.
+ Právě aplikování této rozdílné penalizace mělo nějvětší vliv na zlepšení
+ výsledků dosahovaných pomocí LQ regulátoru v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+.
 \end_layout
 
@@ -11487,14 +12516,869 @@
 \end_layout
 
+\begin_layout Itemize
+základní verze
+\end_layout
+
+\begin_layout Itemize
+časově posunutá verze
+\end_layout
+
+\begin_layout Itemize
+více současně běžících KF
+\end_layout
+
+\begin_layout Itemize
+konstanta do 
+\begin_inset Formula $d$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+srovnání s pouze přidáním injektáží (
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+, 
+\begin_inset Formula $d-q,$
+\end_inset
+
+ sin, obdelnik, různé frekvence), ale to asi pomocí PCRB
+\end_layout
+
+\begin_layout Standard
+vybrat vhodného reprezentanta do experimentů
+\end_layout
+
 \begin_layout Subsection
 Algoritmus využívající hyperstav
 \end_layout
 
+\begin_layout Itemize
+redukovaný model
+\end_layout
+
+\begin_layout Itemize
+plný model
+\end_layout
+
 \begin_layout Section
-PCRB
-\end_layout
-
-\begin_layout Standard
-potenciál přídavných signálů a duality
+Aposteriorní Cramer-Raovy meze
+\end_layout
+
+\begin_layout Standard
+Jak již bylo podrobněji zmiňováno v předchozích částech textu, je hlavní
+ komplikací bezsenzorového řízení PMSM problém pozorovatelnosti neměřených
+ veličin v nízkých otáčkách.
+ Standartně je odhad těchto veličin získáván ze zpětné elektromotorické
+ síly, jejíž velikost je však přímo úměrná otáčkám stroje.
+ V nulových otáčkách pak zcela vymizí a poloha 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ se stává nepozorovatelným stavem.
+ Situace druhé neměřené veličiny -- otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ je v tomto smyslu daleko lepší, protože jejich velikost můžeme získat právě
+ ze zpětné elektromotorické síly.
+ V nulových otáčkách navíc tato veličina není nepozorovatelná, ale nulová.
+\end_layout
+
+\begin_layout Standard
+Tato práce je zaměřena na duální metody řízení a s tím je spojena i volba
+ vhodného budícího signálu, který má za cíl pozorovatelnost stavu zlepšit.
+ Nástrojem jak vyhodnocovat pozorovatelnost stavových veličin pro nelineární
+ systémy jsou právě aposteriorní Cramer-Raovy meze.
+ V této části tedy budou předloženy výsledky analýzy modelu PMSM na základě
+ tohoto nástroje.
+ Jednak budou prostudovány přídavné signály užívané při aplikaci metod vysokofre
+kvenčních injektáží ve smyslu, jak samy o sobě dokáží zlepšit pozorovatelnost.
+ Následovat pak bude analýza v této práci uvažovaných duálních algoritmů
+ -- bikriteriální metody a využití hyperstavu.
+ 
+\end_layout
+
+\begin_layout Subsection
+Vzorový běh systému
+\end_layout
+
+\begin_layout Standard
+Výpočet hodnot aposteriorních Cramer-Raových mezí probíhá na vzorovém běhu
+ systému.
+ Ze vzorového běhu jsou získány průběhy jednotlivých stavových veličin v
+ čase, které pak slouží jako zdroj pro výpočet vlastních mezí.
+ Jako vzorový běh lze buď přímo zvolit nějaké hodnoty a nebo je získat aplikací
+ vhodného regulátoru na model systému.
+ Pro tento případ bylo užíváno vektorové PI řízení (implementované jako
+ referenční) získávající odhad ze senzorů a řídící na určenou referenční
+ hodnotu.
+ Řídící zásahy byly následně doplněny vysokofrekvenčním signálem a to v
+ souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ nebo 
+\begin_inset Formula $d-q$
+\end_inset
+
+ a byl testován sinový i obdélníkový signál.
+ Dále byla testována bikriteriální metoda, konkrétně její základní verze,
+ verze užívající pěti EKF a přidání konstantní hodnoty do osy 
+\begin_inset Formula $d$
+\end_inset
+
+.
+ Posledním zkoumaným algoritmem pak bylo využití hyperstavu, které však
+ nevyužívá PI regulátory, ale je založeno na vektorovém řízení s LQ regulátorem.
+\end_layout
+
+\begin_layout Standard
+Použité vzorové běhy shrnuje následující seznam:
+\end_layout
+
+\begin_layout Itemize
+vektorové PI řízení
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+vysokofrekvenční injektáž do 
+\begin_inset Formula $d-q$
+\end_inset
+
+
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+sinový signál
+\end_layout
+
+\begin_layout Itemize
+obdélníkový signál
+\end_layout
+
+\end_deeper
+\begin_layout Itemize
+vysokofrekvenční injektáž do 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+sinový signál
+\end_layout
+
+\begin_layout Itemize
+obdélníkový signál
+\end_layout
+
+\end_deeper
+\begin_layout Itemize
+bikriteriální metoda
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+základní verze
+\end_layout
+
+\begin_layout Itemize
+výběr buzení na základě výpočtu pěti EKF
+\end_layout
+
+\begin_layout Itemize
+konstantní signál v ose 
+\begin_inset Formula $d$
+\end_inset
+
+
+\end_layout
+
+\end_deeper
+\end_deeper
+\begin_layout Itemize
+využití hyperstavu
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+plný model
+\end_layout
+
+\begin_layout Itemize
+redukovaný model
+\end_layout
+
+\end_deeper
+\begin_layout Standard
+Pro výpočet samotných Cramer-Raových mezí bylo užito rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:PCRB-rovnice-obecny-vypoecet"
+
+\end_inset
+
+) a (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:PCRB-rovnice-pro-D-gauss"
+
+\end_inset
+
+) a byl uvažován model PMSM v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ pro stejné (
+\begin_inset Formula $L_{s}$
+\end_inset
+
+) i různé (
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+) indukčnosti.
+ Výchozí hodnota meze byla pro všechny uvažované veličiny volena 
+\begin_inset Formula $1,0e-7$
+\end_inset
+
+ aby byla dostatečně nízká, ale současně nenulová.
+ Dále byly použity kovarianční matice 
+\begin_inset Formula $Q$
+\end_inset
+
+ a 
+\begin_inset Formula $R$
+\end_inset
+
+ s hodnotami kovariančních matic užitých pro šum (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:kov-matice-sum"
+
+\end_inset
+
+).
+\end_layout
+
+\begin_layout Subsection
+Výsledky dosažené pomocí PCRB
+\end_layout
+
+\begin_layout Standard
+Vzhledem k tomu, že proudy 
+\begin_inset Formula $i_{\alpha\beta}$
+\end_inset
+
+ jsou měřené veličiny, tak u nich lze očekávat nízkou mez a chyba v jejich
+ odhadu je způsobena prakticky pouze chybou měření.
+ Ve všech prováděných výpočtech PCRB byla hodnota této meze pro proudy 
+\begin_inset Formula $i_{\alpha\beta}$
+\end_inset
+
+ nižší než 
+\begin_inset Formula $5,0e-4$
+\end_inset
+
+ a dále se tedy mezemi pro proudy zabývat nebudeme.
+ Podobně není příliš zajímavá ani Cramer-Raova mez pro otáčky 
+\begin_inset Formula $\omega$
+\end_inset
+
+.
+ Ty sice již nejsou měřeny, ale mez je relativně nízká a obvykel se drží
+ na hodnotě přibližně 
+\begin_inset Formula $1,2e-2$
+\end_inset
+
+.
+ Cramer-Raově mezi otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ tedy opět nebude příliš věnována pozornost s výjimkou případů, kdy by došlo
+ k její výraznější změně.
+\end_layout
+
+\begin_layout Subsubsection
+Vliv rychlosti
+\end_layout
+
+\begin_layout Standard
+Nejzajímavější z hlediska aplikace konceptu PCRB jsou tedy výsledky týkající
+ se polohy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, která je při nulových otáčkách nepozorovatelným stavem.
+ Pokud zůstává hodnota otáček nulová a není přítomno žádné další buzení,
+ Cramer-Raova mez 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ stále roste, teoreticky až ke své krajní hodnotě odpovídající varianci
+ uniformního rozdělení na intervalu 
+\begin_inset Formula $\left\langle -\pi,\pi\right\rangle $
+\end_inset
+
+.
+ Tento jev stálého růstu je možno pozorovat na grafu obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-rychlost"
+
+\end_inset
+
+.
+ Protože s růstem otáček roste zpětná elektromotorická síla, zvyšuje se
+ množštví informace o veličině 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ a následně se i snižuje chyba jejího odhadu.
+ Zpřesnění odhadu a tedy pokles PCRB v důsledku vyšších otáček lze sledovat
+ pro různé profily na grafu obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-rychlost"
+
+\end_inset
+
+ a).
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="6" columns="1">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/pcrb_ref.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) snížení hodnoty PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ v důsledku zvýšení otáček
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/pcrb_hfs.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) omezení růstu hodnoty PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ vlivem přidaného budícího signálu
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/pcrb_bik.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+c) snížení hodnoty PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ aplikací bikriteriální metody
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Hodnoty aposteriorní Cramer-Raovy meze (PCRB) polohy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+: a) jejich snižování v důsledku zvýšení otáček při různých referenčních
+ profilech; b) omezování jejich hodnoty vlivem přidaného budícího signálu;
+ c) snížení jejich hodnoty užitím bikriteriální metody.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:PCRB-theta-rychlost"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Význam pro snížení meze 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ však nemají pouze otáčky, u kterých je tento vliv očekávatelný, ale také
+ vhodný budící signál.
+ Vliv přidaného signálu byl zkoumán zejména na profilu nulových otáček,
+ kdy je nejvíce patrný.
+ Pro výpočet PCRB byl uvažován vysokofrekvenční signál o amplitudě 
+\begin_inset Formula $5V$
+\end_inset
+
+ a frekvenci 
+\begin_inset Formula $1000Hz$
+\end_inset
+
+.
+ Narozdíl od běžných injektážních metod však tento signál nebyl nijak vyhodnocov
+án a byl pouze zkoumán jeho vliv na pozorovatelnost stavu, konkrétně PCRB
+ 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Subsubsection
+Vliv přídavného signálu
+\end_layout
+
+\begin_layout Standard
+Signál byl přidáván jak v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+, tak i v 
+\begin_inset Formula $d-q$
+\end_inset
+
+.
+ Je však nutno poznamenat, že nebyl prokázán prakticky žádný vliv volby
+ souřadné soustavy.
+ Lze tedy očekávat, že volba souřadného systému má vliv pouze na metody,
+ kde je injektovaný signál dále vyhodnocován a neslouží pouze jako buzení
+ ke zlepšení pozorovatelnosti.
+ Dále tedy nebyla volba souřadné soustavy pro přidávání signálu rozlišována.
+ 
+\end_layout
+
+\begin_layout Standard
+Užívaný vysokofrekvenční signál byl dvou typů, jednak harmonický sinový
+ signál a dále obdélníkový signál o stejné amplitudě i frekvenci.
+ Z těchto dvou signálů pak poskytuje lepší výsledky signál obdélníkový.
+ Důležitějším zjištěním ale je, že vysokofrekvenční signál snižuje hodnotu
+ PCRB pouze při uvažování modelu s různými indukčnostmi 
+\begin_inset Formula $L_{d}\neq L_{q}$
+\end_inset
+
+.
+ Při uvažování stejných indukčností 
+\begin_inset Formula $L_{s}$
+\end_inset
+
+ je jeho vliv zanedbatelný.
+\end_layout
+
+\begin_layout Standard
+Výsledky analýzy použití vysokofrekvenčních přídavných signálů jsou zachyceny
+ na grafu obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-rychlost"
+
+\end_inset
+
+ b).
+ Je použit nulový profil otáček a jako srovnávací je označeno vektorové
+ PI řízení.
+ Je možno pozorovat, že pro různé indukčnosti je dosaženo vyšší hodnoty
+ PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, přidáním vysokofrekvenčního signálu však dojde ke značnému omezení růstu
+ hodnot meze.
+ Oproti tomu v případě uvažování stejných indukčností je hodnota meze nižší,
+ ale přidání vysokofrekvenčního signálu nemá žádný vliv a tento případ tedy
+ není ani v grafu uveden.
+\end_layout
+
+\begin_layout Subsubsection
+Bikriteriální metoda
+\end_layout
+
+\begin_layout Standard
+Velmi významný vliv na hodnotu aposteriorní Cramer-Raovy meze má užití bikriteri
+ální metody.
+ Pro zkoumání pomocí PCRB byly uvažovány tři verze této metody, jemnovitě
+ základní verze, užití 5 EKF pro výběr nejlepšího buzení a přidání konstantního
+ signálu do osy 
+\begin_inset Formula $d$
+\end_inset
+
+.
+ Všichni tři zmiňovaní zástupci dosáhli řádově lepších výsledků, oproti
+ těm z minulého odstavce založených na přidávání vysokofrekvenčního signálu.
+ Vliv bikriteriální metody na hodnotu PCRB je srovnatelný s během stroje
+ ve vysokých otáčkách, ale s tím rozdílem, že pro aplikaci bikriteriální
+ metody byl uvažován stroj v klidu.
+\end_layout
+
+\begin_layout Standard
+Ze tří uvažovaných verzí pak byla relativně nejhorší verze základní.
+ Lepších výsledků bylo dosaženo za použití 5 rozšířených Kalmanových filtrů
+ pro výběr nejlepšího buzení.
+ Nejlepší výsledky pak překvapivě poskytuje velmi jednoduchá verze spočívající
+ v přidání konstantního signálu do osy 
+\begin_inset Formula $d$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Dalším zajímavým zjištěním je, že pro každou z uvažovaných verzí je vždy
+ (alespoň nepatrně) dosaženo horších výsledků při užití modelu s různými
+ indukčnostmi 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+.
+ Grafické znázornění výsledků bikriteriální metody a srovnání s referenčním
+ vektorovým PI řízením je prezentováno na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-rychlost"
+
+\end_inset
+
+ c).
+\end_layout
+
+\begin_layout Standard
+Ohledně bikriteriální metody je ještě třeba zmínit, že se jedná o jediný
+ případ ze zde uvažovaných možností, který způsoboval výraznější změnu Cramer-Ra
+ovy meze otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+.
+ Konkrétně se jedná o menší nárůst meze při přidávání konstantní hodnoty
+ do osy 
+\begin_inset Formula $d$
+\end_inset
+
+, na přibližně 
+\begin_inset Formula $1,4e-2$
+\end_inset
+
+.
+ Výraznější nárůst byl pak zaznamenán pro základní verzi bikriteriální metody,
+ kdy PCRB 
+\begin_inset Formula $\omega$
+\end_inset
+
+ dosahovala až hodnoty 
+\begin_inset Formula $4,5e-2$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsubsection
+Využití hyperstavu
+\end_layout
+
+\begin_layout Standard
+Dále byly analyzovány Cramer-Raovy meze při využití hyperstavu.
+ Výsledné hodnoty pro redukovaný i plný stav při nulovém referenčním profil
+ jsou zobrazeny na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-hyper"
+
+\end_inset
+
+ a).
+ V případě redukovaného stavu nedochází k omezování meze a ta stále roste.
+ Tento jev je s největší pravděpodobností způsoben komplikovanějším dvoufázovým
+ návrhem řízení pro redukovaný model, který pak trpí podobným nedostatkem
+ jako vektorové PI řízení.
+ Lepších výsledků je však dosaženo při užití hyperstavu s plným modelem,
+ který relativně dobře zvládá snižovat hodnotu PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="4" columns="1">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/pcrb_hyp.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) hodnoty PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ při užití hyperstavu
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/pcrb_porovnani.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) porovnání vybraných zástupců
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Hodnoty aposteriorní Cramer-Raovy meze (PCRB) polohy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ v nulových otáčkách: a) při užití hyperstavu; b) porovnání vybraných zástupců
+ všech metod.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:PCRB-theta-hyper"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Vzájemné porovnání PCRB
+\end_layout
+
+\begin_layout Standard
+Na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:PCRB-theta-hyper"
+
+\end_inset
+
+ b) zachyceno porovnání vybraných zástupců z předchozích odstavců.
+ Při užití vektorového PI řízení bez dalšího buzení Cramer-Raova mez polohy
+ stále roste.
+ V případě různých indukčností v osách 
+\begin_inset Formula $d-q$
+\end_inset
+
+ roste rychleji, ale přidáním vysokofrekvenčního signálu ji lze snížit.
+ V případě stejných indukčností nemá vysokofrekvenční signál na hodnotu
+ meze vliv.
+ 
+\end_layout
+
+\begin_layout Standard
+Znatelně lepších výsledků je však možno dosáhnout při užití bikriteriální
+ metody nebo hyperstavu.
+ Bikriteriální metoda zde dosahuje pro všechny uvažované verze relativně
+ nejlepších výsledků co se týče vlivu na PCRB 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ Z jejích jednotlivých verzí se pak jako nejlepší ukazuje jednoduché přidání
+ konstantního signálu k řídícímu zásahu v ose 
+\begin_inset Formula $d$
+\end_inset
+
+.
+ Oproti tomu ale v případě užití některých verzí bikriteriální metody dochází
+ k menšímu růstu Cramer-Raovy meze otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+Použitím algoritmů založených na hyperstavu lze také dosáhnout výrazného
+ snížení Cramer-Raovy meze.
+ Pokles sice není tak výrazný jako u bikriteriální metody, ale to je pravděpodob
+ně způsobeno strukturou samotných algoritmů.
+ Zatímco bikriteriální metoda přidává budící signál víceméně stále, hyperstav
+ je přístup více odpovídající koncepci duálního řízení a snaží se hledat
+ kompromis mezi optimálním řízením a buzením.
+ Nachází-li se v nulových otáčkach a je-li požadovaná hodnota otáček také
+ nulová, jako v uvažovaném případě, není pravděpodobně třeba příliš velké
+ buzení.
 \end_layout
 
@@ -11507,18 +13391,54 @@
 \end_layout
 
+\begin_layout Standard
+ukázat na obrázcích charakteristické rysy, v tabulkách průměrné chyby pro
+ různé počáteční úhly (MC), histogram kolikrát se dopustil příliš velké
+ chyby nebo se roztočil na opačnou stranu
+\end_layout
+
 \begin_layout Subsection
 Šum v nule
 \end_layout
 
+\begin_layout Standard
+stručný test, jak dobře zvládne držet nulové otáčky, správná i špatná počáteční
+ poloha, kdy ji zvládne opravit
+\end_layout
+
 \begin_layout Subsection
 Nízké otáčky
 \end_layout
 
+\begin_layout Standard
+problematika nulových otáček a neaktivity některých řízení (PI)
+\end_layout
+
 \begin_layout Subsection
 Průchody nulou
 \end_layout
 
+\begin_layout Standard
+problematika průchodu nulou
+\end_layout
+
 \begin_layout Subsection
 Vysoké otáčky
+\end_layout
+
+\begin_layout Standard
+jak algoritmus zvládá vysoké otáčky
+\end_layout
+
+\begin_layout Subsection
+Možná navíc
+\end_layout
+
+\begin_layout Standard
+reálný běh stroje -- oscilogram
+\end_layout
+
+\begin_layout Standard
+vliv zátěžného momentu, ale to by se muselo hodně upravovat v teoretické
+ části
 \end_layout
 
